Skip to main content
PATCH
cURL

Authorizations

X-API-KEY
string
header
required

Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.

Path Parameters

campaign_id
string<uuid>
required

ID of campaign to update

Body

application/json
name
string
required

Name of the campaign

Example:

"My Campaign"

start_date
string
required

Start date of the campaign

Example:

"2021-01-01"

end_date
string
required

End date of the campaign

Example:

"2021-01-01"

ai_assistant_id
string
required

ID of the AI assistant to use for the campaign

Example:

"123e4567-e89b-12d3-a456-426614174000"

type
string
required

Type of the campaign

Example:

"call"

Response

Campaign updated

err
boolean

Indicates if the response is an error

Example:

false

msg
string

Message from the API

Example:

"Error message"